LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XRemoteContentProviderChangeListener Interface Referencepublished

A listener interested in changes to a com::sun::star::ucb::XRemoteContentProviderSupplier. More...

`import"XRemoteContentProviderChangeListener.idl";`

Inheritance diagram for XRemoteContentProviderChangeListener:

## Public Member Functions
void | remoteContentProviderChange ([in] RemoteContentProviderChangeEvent Event)
| gets called whenever changes to a com::sun::star::ucb::XRemoteContentProviderSupplier occur. More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

A listener interested in changes to a com::sun::star::ucb::XRemoteContentProviderSupplier.

Version
  1.0

## Member Function Documentation

## ◆ remoteContentProviderChange()

void remoteContentProviderChange | ( | [in] RemoteContentProviderChangeEvent | Event | ) |

gets called whenever changes to a com::sun::star::ucb::XRemoteContentProviderSupplier occur.

Parameters

  Event | describes the change that has occurred.

The documentation for this interface was generated from the following file:

- com/sun/star/ucb/XRemoteContentProviderChangeListener.idl